/* 
 * CSS assignments for LADDER (e.g. 14.1) other than tables.
 *
 * From: https://www.w3schools.com/
 *
 * 2021-may-18.
 */

  {
    box-sizing: border-box;
  }


  .left   { text-align:left; }
  .center { text-align:center; }
  .right  { text-align:right; }


/*
**  2023-Jun-02.  Still fiddling around, trying to get smaller
**  -----------   font size on sub- and super- scripts.
*/
  sub, sup {
      position: relative;
  }

  sub {bottom: -0.3rem;}
  sup {top: -0.3rem;}
/* ------------ */


  .bg_gray {
      background-color:gray;
  }

  .bg_gray_c0 {
      background-color:#c0c0c0;
  }

/* lighter than 'c0c0c0' */
  .bg_gray_d0 {
      background-color:#d0d0d0;
  }

/* lighter than 'd0d0d0' */
  .bg_gray_e0 {
      background-color:#e0e0e0;
  }

  .bg_gray_lt {
      background-color:lightgray;
  }

  .bg_blu {
      background-color:blue;
  }

  .bg_mgnt {
      background-color:magenta;
  }

  .bg_moc {
      background-color:moccasin;
  }

  .bg_red {
      background-color:red;
  }

  .bg_turq {
      background-color:turquoise;
  }

  .bg_yel {
      background-color:yellow;
  }


  em.bold-blue {
      font-weight: bold;
      font-style: italic;
      color: blue;
  }

  em.bold-green {
      font-weight: bold;
      font-style: italic;
      color: green;
  }

  em.bold-moccasin {
      font-weight: bold;
      font-style: italic;
      color: moccasin;
  }

  em.bold-red {
      font-weight: bold;
      font-style: italic;
      color: red;
  }

  em.bold-yellow {
      font-weight: bold;
      font-style: italic;
      color: yellow;
  }

  em.bold-orange {
      font-weight: bold;
      font-style: italic;
      color: orange;
  }

  em.bold-sienna {
      font-weight: bold;
      font-style: italic;
      color: rgb(160, 82, 45);
  }

  span.obs {
      unicode-bidi: bidi-override;
      direction: rtl
  }

  span.obs.em:before {
      content: ".gnitxet od t'now - eniL dnaL a si enohP .3650-53"
  }

  span.obs.em:after {
      content: "75"
  }



/*
 *  To reduce space between headers, paragraphs, and lists.
 */

  h2.top-0px {
      margin-top:0rem;
  }

  h2.top-4px {
      margin-top:0.25rem;
  }

  h2.top-6px {
      margin-top:0.375rem;
  }


  h3.top-0px {
      margin-top:0rem;
  }

  h3.top-4px {
      margin-top:0.25rem;
  }

  h3.top-6px {
      margin-top:0.375rem;
  }


  h4.top-0px {
      margin-top:0rem;
  }

  h4.top-4px {
      margin-top:0.25rem;
  }

  h4.top-6px {
      margin-top:0.375rem;
  }


  h1.bot-4px {
      margin-bottom:0.25rem;
  }

  h1.bot-6px {
      margin-bottom:0.375rem;
  }

  h1.bot-8px {
      margin-bottom:0.5rem;
  }


  h2.bot-4px {
      margin-bottom:0.25rem;
  }

  h2.bot-6px {
      margin-bottom:0.375rem;
  }

  h2.bot-8px {
      margin-bottom:0.5rem;
  }


  h3.bot-4px {
      margin-bottom:0.25rem;
  }

  h3.bot-6px {
      margin-bottom:0.375rem;
  }

  h3.bot-8px {
      margin-bottom:0.5rem;
  }


  h4.bot-4px {
      margin-bottom:0.25rem;
  }

  h4.bot-6px {
      margin-bottom:0.375rem;
  }

  h4.bot-8px {
      margin-bottom:0.5rem;
  }


  p.top-0px {
      margin-top: 0rem;
  }

  p.top-4px {
      margin-top:0.25rem;
  }

  p.top-6px {
      margin-top:0.375rem;
  }

  p.top-8px {
      margin-top:0.5rem;
  }


  p.bot-4px {
      margin-bottom:0.25rem;
  }

  p.bot-6px {
      margin-bottom:0.375rem;
  }

  p.bot-8px {
      margin-bottom:0.5rem;
  }


  ul.top-0px {
      margin-top: 0rem;
  }

  ul.bot-4px {
      margin-bottom:0.25rem;
  }

  ul.bot-6px {
      margin-bottom:0.375rem;
  }

  ul.bot-8px {
      margin-bottom:0.5rem;
  }


  ol.top-0px {
      margin-top: 0rem;
  }

  ol.bot-4px {
      margin-bottom:0.25rem;
  }

  ol.bot-6px {
      margin-bottom:0.375rem;
  }

  ol.bot-8px {
      margin-bottom:0.5rem;
  }


  li.top-0px {
      margin-top: 0rem;
  }

  li.bot-4px {
      margin-bottom:0.25rem;
  }

  li.bot-6px {
      margin-bottom:0.375rem;
  }

  li.bot-8px {
      margin-bottom:0.5rem;
  }
